wayland::server::zwp_primary_selection_source_v1_t(3)

NAME
wayland::server::zwp_primary_selection_source_v1_t - offer to replace the contents of the primary selection

SYNOPSIS

#include <wayland-server-protocol-unstable.hpp>

Inherits wayland::server::resource_t.

  Public Member Functions

std::function< void(std::string)> & on_offer ()
add an offered mime type
std::function< void()> & on_destroy ()
destroy the primary selection source
void send (std::string const &mime_type, int fd, bool post=true)
send the primary selection contents
void cancelled (bool post=true)
request for primary selection contents was canceled
bool proxy_has_object () const
Check whether this wrapper actually wraps an object.
void post_no_memory () const
uint32_t get_id () const
client_t get_client () const
unsigned int get_version () const
std::string get_class ()

  Static Public Attributes

static constexpr std::uint32_t send_since_version = 1
Minimum protocol version required for the send function.
static constexpr std::uint32_t cancelled_since_version = 1
Minimum protocol version required for the cancelled function.

Detailed Description

offer to replace the contents of the primary selection

The source side of a wp_primary_selection_offer, it provides a way to describe the offered data and respond to requests to transfer the requested contents of the primary selection clipboard.

Definition at line 3756 of file wayland-server-protocol-unstable.hpp.

Member Function Documentation

  void zwp_primary_selection_source_v1_t::cancelled (bool post = true)

request for primary selection contents was canceled This primary selection source is no longer valid. The client should clean up and destroy this primary selection source.

Definition at line 5957 of file wayland-server-protocol-unstable.cpp.

  std::string wayland::server::resource_t::get_class () [inherited]
Retrieve the interface name (class) of a resource object.

Returns
    Interface name of the resource object.

  client_t wayland::server::resource_t::get_client () const [inherited]
Get the associated client

Returns
    the client that owns the resource.

  uint32_t wayland::server::resource_t::get_id () const [inherited]
Get the internal ID of the resource

Returns
    the internal ID of the resource

  unsigned int wayland::server::resource_t::get_version () const [inherited]
Get interface version

Returns
    Interface version this resource has been constructed with.

  std::function< void()> & zwp_primary_selection_source_v1_t::on_destroy ()

destroy the primary selection source Destroy the primary selection source.

Definition at line 5946 of file wayland-server-protocol-unstable.cpp.

  std::function< void(std::string)> & zwp_primary_selection_source_v1_t::on_offer ()

add an offered mime type

Parameters
    mime_type

This request adds a mime type to the set of mime types advertised to targets. Can be called several times to offer multiple types.

Definition at line 5940 of file wayland-server-protocol-unstable.cpp.

  void wayland::server::resource_t::post_no_memory () const [inherited]
Post 'not enough memory' error to the client

If the compositor has not enough memory to fulfill a certail request of the client, this function can be called to notify the client of this circumstance.

  bool wayland::server::resource_t::proxy_has_object () const [inherited]

Check whether this wrapper actually wraps an object.

Returns
    true if there is an underlying object, false if this wrapper is empty

  void zwp_primary_selection_source_v1_t::send (std::string const & mime_type, int fd, bool post = true)

send the primary selection contents

Parameters
    mime_type
    fd

Request for the current primary selection contents from the client. Send the specified mime type over the passed file descriptor, then close it.

Definition at line 5952 of file wayland-server-protocol-unstable.cpp.

Member Data Documentation

  constexpr std::uint32_t wayland::server::zwp_primary_selection_source_v1_t::cancelled_since_version = 1 [static], [constexpr]

Minimum protocol version required for the cancelled function.

Definition at line 3824 of file wayland-server-protocol-unstable.hpp.

  constexpr std::uint32_t wayland::server::zwp_primary_selection_source_v1_t::send_since_version = 1 [static], [constexpr]

Minimum protocol version required for the send function.

Definition at line 3812 of file wayland-server-protocol-unstable.hpp.

Author

Generated automatically by Doxygen for Wayland++ from the source code.